# prelim1_test.py
# Testing code taken from Prelim 1, Spring 2022 for CS 1110

import prelim1 as p
import cornellasserts as ca


def test_peel():
    output1 = p.peel( "()", "(abc)" )
    ca.assert_equals("abc", output1)

    output2 = p.peel( "()", "(1(+)1)" )
    ca.assert_equals("1(+)1", output2)

    output3 = p.peel( "<()>", "<(>.<)>" )
    ca.assert_equals(">.<", output3)

    output4 = p.peel( "ab", "ab" )
    ca.assert_equals("", output4)

def test_swap2():
    the_list = [100, 101, 102, 103, 104, 105, 106, 107, 108, 109]
    p.swap2(the_list, 1, 6)
    assert the_list == [100, 106, 107, 103, 104, 105, 101, 102, 108, 109]

    the_list2 = [100, 101, 102, 103, 104, 105, 106, 107, 108, 109]
    p.swap2(the_list2, 0, 4)
    assert the_list2 == [104, 105, 102, 103, 100, 101, 106, 107, 108, 109]

    the_list3 = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j']
    p.swap2(the_list3, 0, 4)
    assert the_list3 == ['e', 'f', 'c', 'd', 'a', 'b', 'g', 'h', 'i', 'j']

print("Starting tests!")
print()
print("Testing peel")
test_peel()
print("Finished testing peel")
print()
print("Testing swap2")
test_swap2()
print("Finished testing swap2")
print()
print("Passed all test cases!")
